Bug 229516 - devel/libmatheval /usr/bin/ld: cannot find -lfl_pic
Summary: devel/libmatheval /usr/bin/ld: cannot find -lfl_pic
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-04 14:48 UTC by Michael Danilov
Modified: 2018-07-19 20:41 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (demon)


Attachments
poudriere testport (38.32 KB, text/plain)
2018-07-04 14:48 UTC, Michael Danilov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Danilov 2018-07-04 14:48:56 UTC
Created attachment 194878 [details]
poudriere testport
Comment 1 Yuri Victorovich freebsd_committer 2018-07-08 20:43:48 UTC
This library doesn't exist after the last flex update.
Comment 2 Yuri Victorovich freebsd_committer 2018-07-08 20:51:06 UTC
Fixed, thanks for reporting it!
Comment 3 commit-hook freebsd_committer 2018-07-08 20:51:13 UTC
A commit references this bug:

Author: yuri
Date: Sun Jul  8 20:50:52 UTC 2018
New revision: 474200
URL: https://svnweb.freebsd.org/changeset/ports/474200

Log:
  devel/libmatheval: Fix missing library dependency

  Flex lib used to be called 'fl_pic', but now it is called 'fl'.

  PR:		229516
  Reported by:	Michael Danilov <mike.d.ft402@gmail.com>

Changes:
  head/devel/libmatheval/Makefile
Comment 4 commit-hook freebsd_committer 2018-07-19 20:41:46 UTC
A commit references this bug:

Author: antoine
Date: Thu Jul 19 20:40:55 UTC 2018
New revision: 474975
URL: https://svnweb.freebsd.org/changeset/ports/474975

Log:
  MFH: r474200

  devel/libmatheval: Fix missing library dependency

  Flex lib used to be called 'fl_pic', but now it is called 'fl'.

  PR:		229516
  Reported by:	Michael Danilov <mike.d.ft402@gmail.com>

Changes:
_U  branches/2018Q3/
  branches/2018Q3/devel/libmatheval/Makefile